#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

#define FAST ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0)
#define mp make_pair
#define xx first
#define yy second
#define pb push_back
#define pf push_front
#define popb pop_back
#define popf pop_front
#define all(x) (x).begin(),(x).end()
#define inv(n) power((n), mod - 2)
#define ff(i,a,b) for (int (i) = (a); (i) < (b); (i)++)
#define fff(i,a,b) for (int (i) = (a); (i) <= b; (i)++)
#define bff(i,a,b) for (int (i) = (b)-1; (i) >= (a); (i)--)
#define bfff(i,a,b) for (int (i) = (b); (i) >= (a); (i)--)
#define sum_overflow(a,b) __builtin_add_overflow_p ((a), (b), (__typeof__ ((a) + (b))) 0)
#define mul_overflow(a,b) __builtin_mul_overflow_p ((a), (b), (__typeof__ ((a) + (b))) 0)

using namespace std;
long double typedef ld;
unsigned int typedef ui;
long long int typedef li;
pair<int,int> typedef pii;
pair<li,li> typedef pli;
pair<ld,ld> typedef pld;
vector<vector<int>> typedef graph;
unsigned long long int typedef ull;
//const int mod = 998244353;
const int mod = 1000000007;

using namespace __gnu_pbds;
template <class T> using oset = tree<T, null_type,less<T>, rb_tree_tag,tree_order_statistics_node_update>;
template <class T> using omset = tree<T, null_type,less_equal<T>, rb_tree_tag,tree_order_statistics_node_update>;







//Note to self: Check for overflow

int x[1503],y[1503];

li cross(pii a, pii b)
{
    return (li)a.xx*b.yy-(li)a.yy*b.xx;
}

struct mojsort
{
    bool operator() (pii a, pii b)
    {
        return cross(a,b)>0ll;
    }
};

li ans;
void la_clear(vector<int> &niz)
{
    if (niz.empty()) return;
    sort(all(niz)); vector<pii> cnt; cnt.pb({niz[0],1});
    ff(i,1,niz.size()) if (niz[i]==niz[i-1]) cnt.back().yy++; else cnt.pb({niz[i],1});

    //for (auto it : niz) cout<<","<<it; cout<<endl;
    //int tempans=ans;
    niz.clear();

    int ind=0;
    ff(i,0,cnt.size())
    {
        while (ind<cnt.size() && cnt[ind].xx<2*cnt[i].xx) ind++;
        if (cnt[ind].xx==2*cnt[i].xx) ans+=(li)cnt[i].yy*cnt[ind].yy;
    }

    //cout<<"promena: "<<ans-tempans<<endl;
}

int main()
{
    FAST;

    int n; cin>>n;
    ff(i,0,n) cin>>x[i]>>y[i];

    vector<pii> sus;
    ff(i,1,n) ff(j,0,i)
    {
        sus.pb({x[i]-x[j],y[i]-y[j]});
        if (sus.back().yy<0 || (sus.back().yy==0&&sus.back().xx<0)) sus.back().xx=-sus.back().xx,sus.back().yy=-sus.back().yy;
    }

    sort(all(sus),mojsort());
    //for (auto it : sus) cout<<it.xx<<","<<it.yy<<endl;

    vector<int> niz;
    niz.pb(abs(sus[0].xx)+abs(sus[0].yy));
    ff(i,1,sus.size())
    {
        if (cross(sus[i],sus[i-1])==0) niz.pb(abs(sus[i].xx)+abs(sus[i].yy));
        else la_clear(niz),niz.pb(abs(sus[i].xx)+abs(sus[i].yy));
    }
    la_clear(niz);

    cout<<ans;
}

//Note to self: Check for overflow

/*

10
0 0
1 0
0 1
2 1
1 3
3 3
3 6
4 6
100 1000
104 1000

*/